Public Attributes | List of all members
_ll_adc_init Struct Reference
Peripheral Driver » LL Driver » ADC » Structures » ADC Exported init structures

LL ADC init Structure definition. More...

`#include <gr55xx_ll_adc.h>`

## Public Attributes
uint32_t | channel_p
uint32_t | channel_n
uint32_t | input_mode
uint32_t | ref_source
uint32_t | ref_value
uint32_t | clock

## Detailed Description

LL ADC init Structure definition.

Definition at line 76 of file gr55xx_ll_adc.h.

## Member Data Documentation

## ◆ channel_n

uint32_t _ll_adc_init::channel_n

Specifies the input source to ADC channel N. This parameter can be any value of ADC Input Source.

This parament can be modified afterwards using unitary function ll_adc_set_channeln().

Definition at line 83 of file gr55xx_ll_adc.h.

## ◆ channel_p

uint32_t _ll_adc_init::channel_p

Specifies the input source to ADC channel P. This parameter can be any value of ADC Input Source.

This parament can be modified afterwards using unitary function ll_adc_set_channelp().

Definition at line 78 of file gr55xx_ll_adc.h.

## ◆ clock

uint32_t _ll_adc_init::clock

Specifies the clock of ADC. This parameter can be a value of ADC CLOCK.

This parament can be modified afterwards using unitary function ll_adc_set_clock().

Definition at line 103 of file gr55xx_ll_adc.h.

## ◆ input_mode

uint32_t _ll_adc_init::input_mode

Specifies the operation mode for the ADC sample. This parameter can be a value of ADC Input Mode.

This parament can be modified afterwards using unitary function ll_adc_set_input_mode().

Definition at line 88 of file gr55xx_ll_adc.h.

## ◆ ref_source

uint32_t _ll_adc_init::ref_source

Specifies the source of the ADC reference. This parameter can be a value of ADC Reference Source.

This parament can be modified afterwards using unitary function ll_adc_set_ref().

Definition at line 93 of file gr55xx_ll_adc.h.

## ◆ ref_value

uint32_t _ll_adc_init::ref_value

Specifies the value of the ADC buffered reference. This parameter can be a value of ADC Buffered Internal Reference Value.

This parament can be modified afterwards using unitary function ll_adc_set_ref_value().

Definition at line 98 of file gr55xx_ll_adc.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_adc.h